import { Component, OnInit } from '@angular/core';
import { NavController } from '@ionic/angular';
import { AuthService } from '../../services/auth.service';
import { IonHeader } from "@ionic/angular/standalone";

@Component({
  selector: 'app-auth',
  templateUrl: './auth.page.html',
  styleUrls: ['./auth.page.scss'],
  standalone:false
})
export class AuthPage implements OnInit {
  segment = 'login';

  constructor(
    private authService: AuthService,
    private navController: NavController
  ) { }

  async ngOnInit() {
    // Esperar a que se inicialice la sesión (importante)
    await this.authService.waitForInitialization();
    
    // Si ya hay una sesión, redirigir a la app
    if (this.authService.isLoggedIn()) {
      console.log('Usuario autenticado, redirigiendo a la app...');
      this.navController.navigateRoot('/app/classes');
    } else {
      console.log('No hay sesión activa, mostrando pantalla de login');
    }
  }
  
  segmentChanged(ev: any) {
    this.segment = ev.detail.value;
  }
  
  onLoginSuccess() {
    this.navController.navigateRoot('/app/classes');
  }
  
  onRegisterSuccess() {
    this.navController.navigateRoot('/app/classes');
  }
}